Create Promotion
1 min
POST
https://api.upstartcommerce.com/v1/promotion
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobject
201<p>Success-promotion created.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
409The copy of the resource you are modifying has been changed on the server. This request has not been processed to prevent data loss.
curl --request POST \
--url https://api.upstartcommerce.com/v1/promotion \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"data": {
"message": "",
"name": ""
},
"executor": {
"templateId": "",
"configuration": ""
},
"isActive": false,
"priority": "",
"siteIds": [],
"startDate": "",
"stopDate": ""
}'